#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Note: the following ugly variables were automatically built.

WEEKDAYS = {'monday': 0, 'tuesday': 1, 'wednesday': 2, 'thursday': 3, 'friday': 4, 'saturday': 5, 'sunday': 6}

LANGS = ['af_ZA', 'be_BY', 'bg_BG', 'ca_ES', 'cs_CZ', 'da_DK', 'de_AT', 'de_CH', 'de_DE', 'el_GR', 'en_AU', 'en_CA', 'en_GB', 'en_IE', 'en_NZ', 'en_US', 'es_ES', 'et_EE', 'eu_ES', 'fi_FI', 'fr_BE', 'fr_CA', 'fr_CH', 'fr_FR', 'he_IL', 'hr_HR', 'hu_HU', 'hy_AM', 'is_IS', 'it_CH', 'it_IT', 'ja_JP', 'kk_KZ', 'ko_KR', 'lt_LT', 'nl_BE', 'nl_NL', 'no_NO', 'pl_PL', 'pt_BR', 'pt_PT', 'ro_RO', 'ru_RU', 'sk_SK', 'sl_SI', 'sv_SE', 'tr_TR', 'uk_UA', 'zh_CN', 'zh_HK', 'zh_TW']

POINTERS = [['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'], ['панядзелак', 'аўторак', 'серада', 'чацвер', 'пятніца', 'субота', 'нядзеля'], ['Понеделник', 'Вторник', 'Сряда', 'Четвъртък', 'Петък', 'Събота', 'Неделя'], ['dilluns', 'dimarts', 'dimecres', 'dijous', 'divendres', 'dissabte', 'diumenge'], ['pondělí', 'úterý', 'středa', 'čtvrtek', 'pátek', 'sobota', 'neděle'], ['Mandag', 'Tirsdag', 'Onsdag', 'Torsdag', 'Fredag', 'Lørdag', 'Søndag'], ['Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag', 'Sonntag'], ['Δευτέρα', 'Τρίτη', 'Τετάρτη', 'Πέμπτη', 'Παρασκευή', 'Σάββατο', 'Κυριακή'], ['lunes', 'martes', 'miércoles', 'jueves', 'viernes', 'sábado', 'domingo'], ['esmaspäev', 'teisipäev', 'kolmapäev', 'neljapäev', 'reede', 'laupäev', 'pühapäev'], ['astelehena', 'asteartea', 'asteazkena', 'osteguna', 'ostirala', 'larunbata', 'igandea'], ['Maanantai', 'Tiistai', 'Keskiviikko', 'Torstai', 'Perjantai', 'Lauantai', 'Sunnuntai'], ['Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi', 'Dimanche'], ['שני', 'שלישי', 'רביעי', 'חמישי', 'שישי', 'שבת', 'ראשון'], ['Ponedjeljak', 'Utorak', 'Srijeda', 'Četvrtak', 'Petak', 'Subota', 'Nedjelja'], ['Hétfő', 'Kedd', 'Szerda', 'Csütörtök', 'Péntek', 'Szombat', 'Vasárnap'], ['Երկուշաբթի', 'Երեքշաբթի', 'Չորեքշաբթի', 'Հինգշաբթի', 'Ուրբաթ', 'Շաբաթ', 'Կիրակի'], ['mánudagur', 'þriðjudagur', 'miðvikudagur', 'fimmtudagur', 'föstudagur', 'laugardagur', 'sunnudagur'], ['Lunedì', 'Martedì', 'Mercoledì', 'Giovedì', 'Venerdì', 'Sabato', 'Domenica'], ['月曜日', '火曜日', '水曜日', '木曜日', '金曜日', '土曜日', '日曜日'], ['дүйсенбі', 'сейсенбі', 'сәрсенбі', 'бейсенбі', 'жұма', 'сенбі', 'жексенбі'], ['월요일', '화요일', '수요일', '목요일', '금요일', '토요일', '일요일'], ['Pirmadienis', 'Antradienis', 'Trečiadienis', 'Ketvirtadienis', 'Penktadienis', 'Šeštadienis', 'Sekmadienis'], ['maandag', 'dinsdag', 'woensdag', 'donderdag', 'vrijdag', 'zaterdag', 'zondag'], ['mandag', 'tirsdag', 'onsdag', 'torsdag', 'fredag', 'lørdag', 'søndag'], ['poniedziałek', 'wtorek', 'środa', 'czwartek', 'piątek', 'sobota', 'niedziela'], ['Segunda Feira', 'Terça Feira', 'Quarta Feira', 'Quinta Feira', 'Sexta Feira', 'Sábado', 'Domingo'], ['Luni', 'Marţi', 'Miercuri', 'Joi', 'Vineri', 'Sâmbătă', 'Duminică'], ['понедельник', 'вторник', 'среда', 'четверг', 'пятница', 'суббота', 'воскресенье'], ['pondelok', 'utorok', 'streda', 'štvrtok', 'piatok', 'sobota', 'nedeľa'], ['ponedeljek', 'torek', 'sreda', 'četrtek', 'petek', 'sobota', 'nedelja'], ['Måndag', 'Tisdag', 'Onsdag', 'Torsdag', 'Fredag', 'Lördag', 'Söndag'], ['Pazartesi', 'Salı', 'Çarşamba', 'Perşembe', 'Cuma', 'Cumartesi', 'Pazar'], ['понеділок', 'вівторок', 'середа', 'четвер', "п'ятниця", 'субота', 'неділя'], ['星期一', '星期二', '星期三', '星期四', '星期五', '星期六', '星期日'], ['週一', '週二', '週三', '週四', '週五', '週六', '週日'], ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'], ['пн', 'аў', 'ср', 'чц', 'пт', 'сб', 'нд'], ['Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб', 'Нд'], ['dl', 'dt', 'dc', 'dj', 'dv', 'ds', 'dg'], ['po', 'út', 'st', 'čt', 'pá', 'so', 'ne'], ['Man', 'Tir', 'Ons', 'Tor', 'Fre', 'Lør', 'Søn'], ['Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa', 'So'], ['Δευ', 'Τρι', 'Τετ', 'Πεμ', 'Παρ', 'Σαβ', 'Κυρ'], ['lun', 'mar', 'mié', 'jue', 'vie', 'sáb', 'dom'], ['E', 'T', 'K', 'N', 'R', 'L', 'P'], ['al.', 'as.', 'az.', 'og.', 'or.', 'lr.', 'ig.'], ['Ma', 'Ti', 'Ke', 'To', 'Pe', 'La', 'Su'], ['Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam', 'Dim'], ["ב'", "ג'", "ד'", "ה'", "ו'", "ש'", "א'"], ['Po', 'Ut', 'Sr', 'Če', 'Pe', 'Su', 'Ne'], ['Hét', 'Ked', 'Sze', 'Csü', 'Pén', 'Szo', 'Vas'], ['Երկ', 'Երք', 'Չրք', 'Հնգ', 'Ուր', 'Շբթ', 'Կրկ'], ['mán', 'þri', 'mið', 'fim', 'fös', 'lau', 'sun'], ['Lun', 'Mar', 'Mer', 'Gio', 'Ven', 'Sab', 'Dom'], ['月', '火', '水', '木', '金', '土', '日'], ['дс', 'сс', 'ср', 'бс', 'жм', 'сн', 'жк'], ['월', '화', '수', '목', '금', '토', '일'], ['Pr', 'An', 'Tr', 'Kt', 'Pn', 'Št', 'Sk'], ['ma', 'di', 'wo', 'do', 'vr', 'za', 'zo'], ['man', 'tir', 'ons', 'tor', 'fre', 'lør', 'søn'], ['pon', 'wto', 'śro', 'czw', 'ptk', 'sob', 'ndz'], ['Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'], ['Lun', 'Mar', 'Mie', 'Joi', 'Vin', 'Sâm', 'Dum'], ['пн', 'вт', 'ср', 'чт', 'пт', 'сб', 'вс'], ['po', 'ut', 'st', 'št', 'pi', 'so', 'ne'], ['pon', 'tor', 'sre', 'čet', 'pet', 'sob', 'ned'], ['Mån', 'Tis', 'Ons', 'Tor', 'Fre', 'Lör', 'Sön'], ['Pts', 'Sal', 'Çar', 'Per', 'Cum', 'Cts', 'Paz'], ['пн', 'вт', 'ср', 'чт', 'пт', 'сб', 'нд'], ['一', '二', '三', '四', '五', '六', '日'], ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'], ['студзеня', 'лютага', 'сакавіка', 'красавіка', 'траўня', 'чэрвеня', 'ліпеня', 'жніўня', 'верасня', 'кастрычніка', 'лістапада', 'снежня'], ['Януари', 'Февруари', 'Март', 'Април', 'Май', 'Юни', 'Юли', 'Август', 'Септември', 'Октомври', 'Ноември', 'Декември'], ['gener', 'febrer', 'març', 'abril', 'maig', 'juny', 'juliol', 'agost', 'setembre', 'octubre', 'novembre', 'desembre'], ['ledna', 'února', 'března', 'dubna', 'května', 'června', 'července', 'srpna', 'září', 'října', 'listopadu', 'prosince'], ['Januar', 'Februar', 'Marts', 'April', 'Maj', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'December'], ['Jänner', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'], ['Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'], ['Ιανουαρίου', 'Φεβρουαρίου', 'Μαρτίου', 'Απριλίου', 'Μαΐου', 'Ιουνίου', 'Ιουλίου', 'Αυγούστου', 'Σεπτεμβρίου', 'Οκτωβρίου', 'Νοεμβρίου', 'Δεκεμβρίου'], ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'], ['jaanuar', 'veebruar', 'märts', 'aprill', 'mai', 'juuni', 'juuli', 'august', 'september', 'oktoober', 'november', 'detsember'], ['urtarrila', 'otsaila', 'martxoa', 'apirila', 'maiatza', 'ekaina', 'uztaila', 'abuztua', 'iraila', 'urria', 'azaroa', 'abendua'], ['Tammikuu', 'Helmikuu', 'Maaliskuu', 'Huhtikuu', 'Toukokuu', 'Kesäkuu', 'Heinäkuu', 'Elokuu', 'Syyskuu', 'Lokakuu', 'Marraskuu', 'Joulukuu'], ['janvier', 'février', 'mars', 'avril', 'mai', 'juin', 'juillet', 'août', 'septembre', 'octobre', 'novembre', 'décembre'], ['ינואר', 'פברואר', 'מרץ', 'אפריל', 'מאי', 'יוני', 'יולי', 'אוגוסט', 'ספטמבר', 'אוקטובר', 'נובמבר', 'דצמבר'], ['Siječanj', 'Veljača', 'Ožujak', 'Travanj', 'Svibanj', 'Lipanj', 'Srpanj', 'Kolovoz', 'Rujan', 'Listopad', 'Studeni', 'Prosinac'], ['Január', 'Február', 'Március', 'Április', 'Május', 'Június', 'Július', 'Augusztus', 'Szeptember', 'Október', 'November', 'December'], ['Հունվար', 'Փետրվար', 'Մարտ', 'Ապրիլ', 'Մայիս', 'Հունիս', 'Հուլիս', 'Օգոստոս', 'Սեպտեմբեր', 'Հոկտեմբեր', 'Նոյեմբեր', 'Դեկտեմբեր'], ['janúar', 'febrúar', 'mars', 'apríl', 'maí', 'júní', 'júlí', 'ágúst', 'september', 'október', 'nóvember', 'desember'], ['Gennaio', 'Febbraio', 'Marzo', 'Aprile', 'Maggio', 'Giugno', 'Luglio', 'Agosto', 'Settembre', 'Ottobre', 'Novembre', 'Dicembre'], ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'], ['қаңтар', 'ақпан', 'наурыз', 'сәуір', 'мамыр', 'маусым', 'шілде', 'тамыз', 'қыркүйек', 'қазан', 'қараша', 'желтоқсан'], ['1월', '2월', '3월', '4월', '5월', '6월', '7월', '8월', '9월', '10월', '11월', '12월'], ['sausio', 'vasario', 'kovo', 'balandžio', 'gegužės', 'birželio', 'liepos', 'rugpjūčio', 'rugsėjo', 'spalio', 'lapkričio', 'gruodžio'], ['januari', 'februari', 'maart', 'april', 'mei', 'juni', 'juli', 'augustus', 'september', 'oktober', 'november', 'december'], ['januar', 'februar', 'mars', 'april', 'mai', 'juni', 'juli', 'august', 'september', 'oktober', 'november', 'desember'], ['stycznia', 'lutego', 'marca', 'kwietnia', 'maja', 'czerwca', 'lipca', 'sierpnia', 'września', 'października', 'listopada', 'grudnia'], ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'], ['Ianuarie', 'Februarie', 'Martie', 'Aprilie', 'Mai', 'Iunie', 'Iulie', 'August', 'Septembrie', 'Octombrie', 'Noiembrie', 'Decembrie'], ['января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря'], ['január', 'február', 'marec', 'apríl', 'máj', 'jún', 'júl', 'august', 'september', 'október', 'november', 'december'], ['januar', 'februar', 'marec', 'april', 'maj', 'junij', 'julij', 'avgust', 'september', 'oktober', 'november', 'december'], ['Januari', 'Februari', 'Mars', 'April', 'Maj', 'Juni', 'Juli', 'Augusti', 'September', 'Oktober', 'November', 'December'], ['Ocak', 'Şubat', 'Mart', 'Nisan', 'Mayıs', 'Haziran', 'Temmuz', 'Ağustos', 'Eylül', 'Ekim', 'Kasım', 'Aralık'], ['січня', 'лютого', 'березня', 'квітня', 'травня', 'червня', 'липня', 'серпня', 'вересня', 'жовтня', 'листопада', 'грудня'], ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'], ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'], ['сту', 'лют', 'сак', 'кра', 'тра', 'чэр', 'ліп', 'жні', 'вер', 'кас', 'ліс', 'сне'], ['Яну', 'Фев', 'Мар', 'Апр', 'Май', 'Юни', 'Юли', 'Авг', 'Сеп', 'Окт', 'Нов', 'Дек'], ['gen', 'feb', 'mar', 'abr', 'mai', 'jun', 'jul', 'ago', 'set', 'oct', 'nov', 'des'], ['led', 'úno', 'bře', 'dub', 'kvě', 'črv', 'čvc', 'srp', 'zář', 'říj', 'lis', 'pro'], ['Jan', 'Feb', 'Mar', 'Apr', 'Maj', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dec'], ['Jan', 'Feb', 'Mär', 'Apr', 'Mai', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'], ['Ιαν', 'Φεβ', 'Μαρ', 'Απρ', 'Μαϊ', 'Ιον', 'Ιολ', 'Αυγ', 'Σεπ', 'Οκτ', 'Νοε', 'Δεκ'], ['ene', 'feb', 'mar', 'abr', 'may', 'jun', 'jul', 'ago', 'sep', 'oct', 'nov', 'dic'], ['jaan', 'veebr', 'märts', 'apr', 'mai', 'juuni', 'juuli', 'aug', 'sept', 'okt', 'nov', 'dets'], ['Urt', 'Ots', 'Mar', 'Apr', 'Mai', 'Eka', 'Uzt', 'Abu', 'Ira', 'Urr', 'Aza', 'Abe'], ['Tam', 'Hel', 'Maa', 'Huh', 'Tou', 'Kes', 'Hei', 'Elo', 'Syy', 'Lok', 'Mar', 'Jou'], ['jan', 'fév', 'mar', 'avr', 'mai', 'jui', 'jul', 'aoû', 'sep', 'oct', 'nov', 'déc'], ['ינו', 'פבר', 'מרץ', 'אפר', 'מאי', 'יונ', 'יול', 'אוג', 'ספט', 'אוק', 'נוב', 'דצמ'], ['Sij', 'Vel', 'Ožu', 'Tra', 'Svi', 'Lip', 'Srp', 'Kol', 'Ruj', 'Lis', 'Stu', 'Pro'], ['Jan', 'Feb', 'Már', 'Ápr', 'Máj', 'Jún', 'Júl', 'Aug', 'Sze', 'Okt', 'Nov', 'Dec'], ['Հնվ', 'Փտր', 'Մրտ', 'Ապր', 'Մյս', 'Հնս', 'Հլս', 'Օգս', 'Սպտ', 'Հկտ', 'Նյմ', 'Դկտ'], ['jan', 'feb', 'mar', 'apr', 'maí', 'jún', 'júl', 'ágú', 'sep', 'okt', 'nóv', 'des'], ['Gen', 'Feb', 'Mar', 'Apr', 'Mag', 'Giu', 'Lug', 'Ago', 'Set', 'Ott', 'Nov', 'Dic'], ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12'], ['қаң', 'ақп', 'нау', 'сәу', 'мам', 'мау', 'шіл', 'там', 'қыр', 'қаз', 'қар', 'жел'], ['Sau', 'Vas', 'Kov', 'Bal', 'Geg', 'Bir', 'Lie', 'Rgp', 'Rgs', 'Spa', 'Lap', 'Grd'], ['jan', 'feb', 'mrt', 'apr', 'mei', 'jun', 'jul', 'aug', 'sep', 'okt', 'nov', 'dec'], ['jan', 'feb', 'mar', 'apr', 'mai', 'jun', 'jul', 'aug', 'sep', 'okt', 'nov', 'des'], ['sty', 'lut', 'mar', 'kwi', 'maj', 'cze', 'lip', 'sie', 'wrz', 'paź', 'lis', 'gru'], ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'], ['Ian', 'Feb', 'Mar', 'Apr', 'Mai', 'Iun', 'Iul', 'Aug', 'Sep', 'Oct', 'Noi', 'Dec'], ['янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек'], ['jan', 'feb', 'mar', 'apr', 'máj', 'jún', 'júl', 'aug', 'sep', 'okt', 'nov', 'dec'], ['jan', 'feb', 'mar', 'apr', 'maj', 'jun', 'jul', 'avg', 'sep', 'okt', 'nov', 'dec'], ['Oca', 'Şub', 'Mar', 'Nis', 'May', 'Haz', 'Tem', 'Ağu', 'Eyl', 'Eki', 'Kas', 'Ara'], ['січ', 'лют', 'бер', 'кві', 'тра', 'чер', 'лип', 'сер', 'вер', 'жов', 'лис', 'гру']]

FORMATS_TRANSLATIONS = {'%A': {'af_ZA': 0, 'be_BY': 1, 'bg_BG': 2, 'ca_ES': 3, 'cs_CZ': 4, 'da_DK': 5, 'de_AT': 6, 'de_CH': 6, 'de_DE': 6, 'el_GR': 7, 'en_AU': 0, 'en_CA': 0, 'en_GB': 0, 'en_IE': 0, 'en_NZ': 0, 'en_US': 0, 'es_ES': 8, 'et_EE': 9, 'eu_ES': 10, 'fi_FI': 11, 'fr_BE': 12, 'fr_CA': 12, 'fr_CH': 12, 'fr_FR': 12, 'he_IL': 13, 'hr_HR': 14, 'hu_HU': 15, 'hy_AM': 16, 'is_IS': 17, 'it_CH': 18, 'it_IT': 18, 'ja_JP': 19, 'kk_KZ': 20, 'ko_KR': 21, 'lt_LT': 22, 'nl_BE': 23, 'nl_NL': 23, 'no_NO': 24, 'pl_PL': 25, 'pt_BR': 26, 'pt_PT': 26, 'ro_RO': 27, 'ru_RU': 28, 'sk_SK': 29, 'sl_SI': 30, 'sv_SE': 31, 'tr_TR': 32, 'uk_UA': 33, 'zh_CN': 34, 'zh_HK': 35, 'zh_TW': 35}, '%a': {'af_ZA': 36, 'be_BY': 37, 'bg_BG': 38, 'ca_ES': 39, 'cs_CZ': 40, 'da_DK': 41, 'de_AT': 42, 'de_CH': 42, 'de_DE': 42, 'el_GR': 43, 'en_AU': 36, 'en_CA': 36, 'en_GB': 36, 'en_IE': 36, 'en_NZ': 36, 'en_US': 36, 'es_ES': 44, 'et_EE': 45, 'eu_ES': 46, 'fi_FI': 47, 'fr_BE': 48, 'fr_CA': 48, 'fr_CH': 48, 'fr_FR': 48, 'he_IL': 49, 'hr_HR': 50, 'hu_HU': 51, 'hy_AM': 52, 'is_IS': 53, 'it_CH': 54, 'it_IT': 54, 'ja_JP': 55, 'kk_KZ': 56, 'ko_KR': 57, 'lt_LT': 58, 'nl_BE': 59, 'nl_NL': 59, 'no_NO': 60, 'pl_PL': 61, 'pt_BR': 62, 'pt_PT': 62, 'ro_RO': 63, 'ru_RU': 64, 'sk_SK': 65, 'sl_SI': 66, 'sv_SE': 67, 'tr_TR': 68, 'uk_UA': 69, 'zh_CN': 70, 'zh_HK': 70, 'zh_TW': 70}, '%B': {'af_ZA': 71, 'be_BY': 72, 'bg_BG': 73, 'ca_ES': 74, 'cs_CZ': 75, 'da_DK': 76, 'de_AT': 77, 'de_CH': 78, 'de_DE': 78, 'el_GR': 79, 'en_AU': 71, 'en_CA': 71, 'en_GB': 71, 'en_IE': 71, 'en_NZ': 71, 'en_US': 71, 'es_ES': 80, 'et_EE': 81, 'eu_ES': 82, 'fi_FI': 83, 'fr_BE': 84, 'fr_CA': 84, 'fr_CH': 84, 'fr_FR': 84, 'he_IL': 85, 'hr_HR': 86, 'hu_HU': 87, 'hy_AM': 88, 'is_IS': 89, 'it_CH': 90, 'it_IT': 90, 'ja_JP': 91, 'kk_KZ': 92, 'ko_KR': 93, 'lt_LT': 94, 'nl_BE': 95, 'nl_NL': 95, 'no_NO': 96, 'pl_PL': 97, 'pt_BR': 98, 'pt_PT': 98, 'ro_RO': 99, 'ru_RU': 100, 'sk_SK': 101, 'sl_SI': 102, 'sv_SE': 103, 'tr_TR': 104, 'uk_UA': 105, 'zh_CN': 106, 'zh_HK': 91, 'zh_TW': 91}, '%b': {'af_ZA': 107, 'be_BY': 108, 'bg_BG': 109, 'ca_ES': 110, 'cs_CZ': 111, 'da_DK': 112, 'de_AT': 113, 'de_CH': 113, 'de_DE': 113, 'el_GR': 114, 'en_AU': 107, 'en_CA': 107, 'en_GB': 107, 'en_IE': 107, 'en_NZ': 107, 'en_US': 107, 'es_ES': 115, 'et_EE': 116, 'eu_ES': 117, 'fi_FI': 118, 'fr_BE': 119, 'fr_CA': 119, 'fr_CH': 119, 'fr_FR': 119, 'he_IL': 120, 'hr_HR': 121, 'hu_HU': 122, 'hy_AM': 123, 'is_IS': 124, 'it_CH': 125, 'it_IT': 125, 'ja_JP': 126, 'kk_KZ': 127, 'ko_KR': 126, 'lt_LT': 128, 'nl_BE': 129, 'nl_NL': 129, 'no_NO': 130, 'pl_PL': 131, 'pt_BR': 132, 'pt_PT': 132, 'ro_RO': 133, 'ru_RU': 134, 'sk_SK': 135, 'sl_SI': 136, 'sv_SE': 112, 'tr_TR': 137, 'uk_UA': 138, 'zh_CN': 126, 'zh_HK': 126, 'zh_TW': 126}}

EXTRAS_POINTERS = [[('h', 'hour', 'hours'), ('m', 'minute', 'minutes'), ('s', 'second', 'seconds')], ['at', 'on', 'and', 'ad', 'm', 't', 'of', 'st', 'nd', 'rd', 'th'], [('h', 'heure', 'heures'), ('m', 'minute', 'minutes'), ('s', 'seconde', 'secondes')], ['à', 'et', 'du', 'er']]

HMS_TRANSLATIONS = {'en_GB': 0, 'fr_FR': 2, 'af_ZA': 0, 'en_AU': 0, 'en_CA': 0, 'en_IE': 0, 'en_NZ': 0, 'en_US': 0, 'fr_BE': 2, 'fr_CA': 2, 'fr_CH': 2}

JUMP_TRANSLATIONS = {'en_GB': 1, 'fr_FR': 3, 'af_ZA': 1, 'en_AU': 1, 'en_CA': 1, 'en_IE': 1, 'en_NZ': 1, 'en_US': 1, 'fr_BE': 3, 'fr_CA': 3, 'fr_CH': 3}
